Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 254)
+++ waeup_doc/MainProcesses.html	(revision 255)
@@ -1,3 +1,2 @@
-<?xml version="1.0" encoding="utf-8" ?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
@@ -296,8 +295,8 @@
 <h1><a id="i-jamb-ume-entry" name="i-jamb-ume-entry">I JAMB UME Entry</a></h1>
 <p>Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.</p>
-<p>Relevant fields that will be extracted from the JAMB data for furher processing are:</p>
+<p>Relevant fields that will be extracted from the JAMB data for further processing are:</p>
 <pre class="literal-block">
 Registration Number
-Lastname
+Last Name
 Surname
 Other Names
@@ -316,5 +315,5 @@
 <div class="section">
 <h2><a id="step-1-online-pume-application" name="step-1-online-pume-application">Step 1 (online): PUME Application</a></h2>
-<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostal Allocation Slip (see below).</p>
+<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below).</p>
 <p>Data fields to be shown on the PUME Acknowledgement Slip:</p>
 <pre class="literal-block">
@@ -322,17 +321,16 @@
 Student's Name
 Study Programme/Course (Certificate)
-Application Date
-UME Examination Date [Henrik: This field is missing in the JAMB Data list above?!]
 Sex
-</pre>
-<ul class="simple">
-<li><a class="reference" href="Examples/PUMEAcknowledgementSlip.jpg">PUMEAcknowledgementSlip.jpg</a></li>
-</ul>
-<p>Other fields to be added to the student's record will include:</p>
-<pre class="literal-block">
-Passport Photograph with red background (has to be uploaded here)
-
+PUME Application Date
 PUME Exam Date
 PUME Venue
+</pre>
+<ul class="simple">
+<li><a class="reference" href="Examples/PUMEAcknowledgementSlip.jpg">PUMEAcknowledgementSlip.jpg</a></li>
+</ul>
+<p>Other fields to be added to the student's record will include:</p>
+<pre class="literal-block">
+Passport Photograph with red background (has to be uploaded here)
+
 PUME General Paper (relevant after the PUME Exams)
 PUME English Score (relevant after the PUME Exams)
@@ -359,5 +357,5 @@
 <h2><a id="step-4-online-pume-result-checking" name="step-4-online-pume-result-checking">Step 4 (online): PUME Result Checking</a></h2>
 <p>The student checks the exam results on the <em>PUME Results Checking Website</em>. To access the website he/she reuses his/her <strong>Application PIN</strong>. He/She will see the results and can print out the <em>PUME Result Slip</em>.</p>
-<p>The PUME Results Checking Website shows the same data as the PUME Acknowledgemnet Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively)</p>
+<p>The PUME Results Checking Website shows the same data as the PUME Acknowledgement Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively)</p>
 </div>
 <div class="section">
@@ -435,5 +433,5 @@
 </pre>
 <p>The student has to upload scanned documents which show the results of all examinations done before.</p>
-<p>Local Programme students already entered their results of previous examinations in ther Local Programme Application Form (see Step 1). These data must be carried over into Clearance Form [Henrik: editable or not editable?].</p>
+<p>A Local Programme student already entered his/her results of previous examinations in his/her Local Programme Application Form (see Step 1). These data must be carried over into Clearance Form. In contrast to a PUME applicant, the result data are not editable by the student in the Clearance Form.</p>
 <p>Then he/she has to tick appropriate documents to be presented for clearance process.</p>
 <p>Furthermore the student can defer admission till next session by ticking an appropriate box. Finally, the student has to confirm possessing all the qualifications which he/she claims to have obtained.</p>
@@ -494,5 +492,6 @@
 <div class="section">
 <h1><a id="ii-returning-students" name="ii-returning-students">II Returning Students</a></h1>
-<p>Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are students that have just enough credits to remain in the faculty and repeat the level (probation). They are allowed to register for the same level but not to apply for accomodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. [Henrik: As far as I see these are only students in Category F. More information is needed to implement this feature.]</p>
+<p>Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Portal Manager (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are students that have just enough credits to remain in the faculty and repeat the level (probation). They are allowed to register for the same level but not to apply for accommodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation.</p>
+<p>Exception: 200 level Medical students represent a unique group of students who do not write sessional examinations and will thus be allowed to apply for accommodation when they have successfully registered for level 300.  That inadvertently means they have to be allowed to register for 300 level without results for their 200 level.</p>
 <p>The students print out the <em>Sessional Result Slip</em>. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level.</p>
 <ul class="simple">
@@ -509,5 +508,6 @@
 <div class="section">
 <h1><a id="iv-local-programme-entry" name="iv-local-programme-entry">IV Local Programme Entry</a></h1>
-<p>For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form can be combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. Also the 'JAMB data' have to be filled manually. Also, the registration number is generated internally with the pattern of 3-alphabets representing the study programme,  6 digits random number and 2-digits reprenting the year. [Henrik: Why is that necessary?]</p>
+<p>For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called <em>Local Programme Examination</em>. The Local Programme Application Form can be combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. If the results are not yet available the students can tick a box called 'awaiting results'.</p>
+<p>Also the 'JAMB data' have to be filled manually. The registration number is generated internally with the pattern of 3-alphabets representing the study programme,  6 digits random number and 2-digits representing the year.</p>
 <p>For example: <tt class="docutils literal"><span class="pre">DIA000001/06</span></tt> means the first person to log in is for Diploma in Accounting and is applying in the 2006/2007 session.</p>
 </div>
@@ -539,5 +539,5 @@
 Clearance                         CLR
 Hostel Application                HOS
-Hostel Maintanance
+Hostel Maintenance
  Old Hostels (Halls 1, 2, 3, 4)   HMU
  New Hostel (Hall 5)              HMF
@@ -583,5 +583,5 @@
 <div class="section">
 <h2><a id="clearance-officer-co" name="clearance-officer-co">Clearance Officer (CO)</a></h2>
-<p>The Clearance Officer has access to the eligibilty data of all students. His only function is to validate the clearance and eligibilty data on the basis of the material presented by each student.</p>
+<p>The Clearance Officer has access to the eligibility data of all students. His only function is to validate the clearance and eligibility data on the basis of the material presented by each student.</p>
 </div>
 <div class="section">
@@ -599,5 +599,5 @@
 <div class="section">
 <h2><a id="department-manager-dm" name="department-manager-dm">Department Manager (DM)</a></h2>
-<p>The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department. At the current stage the local DM role is not needed.</p>
+<p>The Department Manager is the supervisor of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department. At the current stage the local DM role is not needed.</p>
 </div>
 <div class="section">
Index: waeup_doc/MainProcesses.rst
===================================================================
--- waeup_doc/MainProcesses.rst	(revision 254)
+++ waeup_doc/MainProcesses.rst	(revision 255)
@@ -9,10 +9,10 @@
 Students apply for studying at a University of their choice to the Joint Admissions and Matriculation Board (JAMB). JAMB conducts the Universities Matriculation Examination (UME) and sends the results of the students, who have passed the UME, in electronic form (file on CD) directly to the universities. Students check their results online on the JAMB website. Students who have passed the UME can then apply online for the Post University Matriculation Examination (PUME) conducted by Uniben directly on the PUME Application website.
 
-Relevant fields that will be extracted from the JAMB data for furher processing are:
+Relevant fields that will be extracted from the JAMB data for further processing are:
 
 ::
 
  Registration Number 
- Lastname 
+ Last Name 
  Surname 
  Other Names 
@@ -34,5 +34,5 @@
 +++++++++++++++++++++++++++++++++
 
-The student buys an **Application Access Card** and enters the Access Code (PIN) together with his/her JAMB registration number on the *PUME Application Website*. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the *PUME Acknowledgement Slip*  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostal Allocation Slip (see below).
+The student buys an **Application Access Card** and enters the Access Code (PIN) together with his/her JAMB registration number on the *PUME Application Website*. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the *PUME Acknowledgement Slip*  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below).
 
 Data fields to be shown on the PUME Acknowledgement Slip: 
@@ -43,18 +43,17 @@
  Student's Name
  Study Programme/Course (Certificate)
- Application Date
- UME Examination Date [Henrik: This field is missing in the JAMB Data list above?!]
  Sex
-
-- `PUMEAcknowledgementSlip.jpg <Examples/PUMEAcknowledgementSlip.jpg>`_
-
-Other fields to be added to the student's record will include:
-
-::
-
- Passport Photograph with red background (has to be uploaded here)
-
+ PUME Application Date 
  PUME Exam Date 
  PUME Venue 
+
+- `PUMEAcknowledgementSlip.jpg <Examples/PUMEAcknowledgementSlip.jpg>`_
+
+Other fields to be added to the student's record will include:
+
+::
+
+ Passport Photograph with red background (has to be uploaded here)
+
  PUME General Paper (relevant after the PUME Exams) 
  PUME English Score (relevant after the PUME Exams) 
@@ -70,4 +69,5 @@
 The student goes to the examination hall and writes the examination.
 
+
 Step 3 (offline/online): Upload of PUME Results
 +++++++++++++++++++++++++++++++++++++++++++++++
@@ -89,5 +89,5 @@
 The student checks the exam results on the *PUME Results Checking Website*. To access the website he/she reuses his/her **Application PIN**. He/She will see the results and can print out the *PUME Result Slip*.
 
-The PUME Results Checking Website shows the same data as the PUME Acknowledgemnet Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively) 
+The PUME Results Checking Website shows the same data as the PUME Acknowledgement Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively) 
  
 
@@ -178,5 +178,5 @@
 The student has to upload scanned documents which show the results of all examinations done before.
 
-Local Programme students already entered their results of previous examinations in ther Local Programme Application Form (see Step 1). These data must be carried over into Clearance Form [Henrik: editable or not editable?].
+A Local Programme student already entered his/her results of previous examinations in his/her Local Programme Application Form (see Step 1). These data must be carried over into Clearance Form. In contrast to a PUME applicant, the result data are not editable by the student in the Clearance Form. 
 
 Then he/she has to tick appropriate documents to be presented for clearance process. 
@@ -248,5 +248,7 @@
 ---------------------
 
-Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Course Adviser (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are students that have just enough credits to remain in the faculty and repeat the level (probation). They are allowed to register for the same level but not to apply for accomodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. [Henrik: As far as I see these are only students in Category F. More information is needed to implement this feature.]
+Returning Students proceed with the above described admission and registration process at Step 11 (Hostel Allocation). They log in with their Matriculation Number and their Password (Step R1). Before they can apply for accommodation or register new courses their previous session result must have been uploaded online by the Portal Manager (Step R2). Only Categories A (passed all courses) and B (passed some but have some carryovers) are eligible to register for a new level in the new session and also to apply for accommodation. The students placed in Category C are students that have just enough credits to remain in the faculty and repeat the level (probation). They are allowed to register for the same level but not to apply for accommodation. The students placed in Category D or higher are either expected to withdraw from the university or been allowed to probate after consulting respective authorities. The latter requires portal manager validation. 
+
+Exception: 200 level Medical students represent a unique group of students who do not write sessional examinations and will thus be allowed to apply for accommodation when they have successfully registered for level 300.  That inadvertently means they have to be allowed to register for 300 level without results for their 200 level.
 
 The students print out the *Sessional Result Slip*. A Student is not allowed to see his scores but rather the grade and Sessional GPA.  The Result Slip however also shows the student's name, matric number, registration number, course of study, faculty, session and level. 
@@ -267,5 +269,7 @@
 ------------------------
 
-For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called *Local Programme Examination*. The Local Programme Application Form can be combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. Also the 'JAMB data' have to be filled manually. Also, the registration number is generated internally with the pattern of 3-alphabets representing the study programme,  6 digits random number and 2-digits reprenting the year. [Henrik: Why is that necessary?]
+For admission into Diploma (full and part time), Degree (part time) and Post graduate programmes (full and part time) students can bypass the JAMB admission procedure and apply directly at the university. Only the entry examination (Step 2) then differs and is called *Local Programme Examination*. The Local Programme Application Form can be combined with the PUME Application Form (Step 1). However, the application for this requires their results to be added; scanned unlike Post UME where the result is scanned and added after the student has been admitted. If the results are not yet available the students can tick a box called 'awaiting results'. 
+
+Also the 'JAMB data' have to be filled manually. The registration number is generated internally with the pattern of 3-alphabets representing the study programme,  6 digits random number and 2-digits representing the year.
  
 For example: ``DIA000001/06`` means the first person to log in is for Diploma in Accounting and is applying in the 2006/2007 session.
@@ -311,5 +315,5 @@
  Clearance                         CLR
  Hostel Application                HOS
- Hostel Maintanance 
+ Hostel Maintenance 
   Old Hostels (Halls 1, 2, 3, 4)   HMU
   New Hostel (Hall 5)              HMF
@@ -363,5 +367,5 @@
 ++++++++++++++++++++++
  
-The Clearance Officer has access to the eligibilty data of all students. His only function is to validate the clearance and eligibilty data on the basis of the material presented by each student.
+The Clearance Officer has access to the eligibility data of all students. His only function is to validate the clearance and eligibility data on the basis of the material presented by each student.
 
 Matric Number Manager (MM)
@@ -383,5 +387,5 @@
 +++++++++++++++++++++++
 
-The Department Manager is the superviser of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department. At the current stage the local DM role is not needed.
+The Department Manager is the supervisor of the Course Adviser und the Lecturers. The DM will manage the content provided by the department (staff list, publication lists, etc). He/She can assign local roles (CA and L) within his/her department. At the current stage the local DM role is not needed.
 
 Course Adviser (CA)