Index: waeup_product/trunk/profiles/default/layouts/certificate.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/certificate.xml	(revision 256)
+++ waeup_product/trunk/profiles/default/layouts/certificate.xml	(revision 256)
@@ -0,0 +1,225 @@
+<?xml version="1.0"?>
+<object name="certificate" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_default_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="admin_status" meta_type="String Widget">
+  <property name="title">Admin Status</property>
+  <property name="fields">
+   <element value="admin_status"/>
+  </property>
+  <property name="label">Admin Status</property>
+  <property name="label_edit">Admin Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="category" meta_type="String Widget">
+  <property name="title">Category</property>
+  <property name="fields">
+   <element value="category"/>
+  </property>
+  <property name="label">Category</property>
+  <property name="label_edit">Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Code</property>
+  <property name="label_edit">Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">20</property>
+ </widget>
+ <widget name="department" meta_type="Select Widget">
+  <property name="title">Department</property>
+  <property name="fields">
+   <element value="department"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Department</property>
+  <property name="label_edit">Department</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">get_departments_voc</property>
+ </widget>
+ <widget name="end_level" meta_type="Select Widget">
+  <property name="title">End Level</property>
+  <property name="fields">
+   <element value="end_level"/>
+  </property>
+  <property name="label">End Level</property>
+  <property name="label_edit">End Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">courselevel</property>
+ </widget>
+ <widget name="faculty" meta_type="Select Widget">
+  <property name="title">Faculty</property>
+  <property name="fields">
+   <element value="faculty"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Faculty</property>
+  <property name="label_edit">Faculty</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">get_faculties_voc</property>
+ </widget>
+ <widget name="heading" meta_type="String Widget">
+  <property name="title">Heading</property>
+  <property name="fields">
+   <element value="heading"/>
+  </property>
+  <property name="label">Title</property>
+  <property name="label_edit">Title</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="m_prefix" meta_type="String Widget">
+  <property name="title">MPrefix</property>
+  <property name="fields">
+   <element value="m_prefix"/>
+  </property>
+  <property name="label">MPrefix</property>
+  <property name="label_edit">MPrefix</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="max_load" meta_type="Int Widget">
+  <property name="title">Maximum Load</property>
+  <property name="fields">
+   <element value="max_load"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Maximum Load</property>
+  <property name="label_edit">Maximum Load</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="max_pass" meta_type="Int Widget">
+  <property name="title">Maximum Pass</property>
+  <property name="fields">
+   <element value="max_pass"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Maximum Pass</property>
+  <property name="label_edit">Maximum Pass</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="n_core" meta_type="Int Widget">
+  <property name="title">NCore</property>
+  <property name="fields">
+   <element value="n_core"/>
+  </property>
+  <property name="label">NCore</property>
+  <property name="label_edit">NCore</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="nr_years" meta_type="Int Widget">
+  <property name="title">Nr of Years</property>
+  <property name="fields">
+   <element value="nr_years"/>
+  </property>
+  <property name="label">Nr of Years</property>
+  <property name="label_edit">Nr of Years</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="probation_credits" meta_type="Int Widget">
+  <property name="title">Probation  Credits</property>
+  <property name="fields">
+   <element value="probation_credits"/>
+  </property>
+  <property name="label">Probation  Credits</property>
+  <property name="label_edit">Probation  Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="promotion_credits" meta_type="Int Widget">
+  <property name="title">Promotion  Credits</property>
+  <property name="fields">
+   <element value="promotion_credits"/>
+  </property>
+  <property name="label">Promotion  Credits</property>
+  <property name="label_edit">Promotion  Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="start_level" meta_type="Select Widget">
+  <property name="title">Start Level</property>
+  <property name="fields">
+   <element value="start_level"/>
+  </property>
+  <property name="label">Start Level</property>
+  <property name="label_edit">Start Level</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">courselevel</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="faculty"/>
+  </row>
+  <row>
+   <cell name="department"/>
+  </row>
+  <row>
+   <cell name="start_level"/>
+  </row>
+  <row>
+   <cell name="end_level"/>
+  </row>
+  <row>
+   <cell name="max_pass"/>
+  </row>
+  <row>
+   <cell name="promotion_credits"/>
+  </row>
+  <row>
+   <cell name="probation_credits"/>
+  </row>
+  <row>
+   <cell name="admin_status"/>
+  </row>
+  <row>
+   <cell name="category"/>
+  </row>
+  <row>
+   <cell name="m_prefix"/>
+  </row>
+  <row>
+   <cell name="nr_years"/>
+  </row>
+  <row>
+   <cell name="n_core"/>
+  </row>
+ </table>
+</object>
Index: waeup_product/trunk/profiles/default/layouts/certificate_course.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/certificate_course.xml	(revision 256)
+++ waeup_product/trunk/profiles/default/layouts/certificate_course.xml	(revision 256)
@@ -0,0 +1,82 @@
+<?xml version="1.0"?>
+<object name="certificate_course" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_waeup_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="admin_status" meta_type="String Widget">
+  <property name="title">Admin Status</property>
+  <property name="fields">
+   <element value="admin_status"/>
+  </property>
+  <property name="label">Admin Status</property>
+  <property name="label_edit">Admin Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="certificate_code" meta_type="String Widget">
+  <property name="title">Certificate code</property>
+  <property name="fields">
+   <element value="certificate_code"/>
+  </property>
+  <property name="label">Certificate code</property>
+  <property name="label_edit">Certificate code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="certificate_code_org" meta_type="String Widget">
+  <property name="title">Certificate original code</property>
+  <property name="fields">
+   <element value="certificate_code_org"/>
+  </property>
+  <property name="label">Certificate original code</property>
+  <property name="label_edit">Certificate original code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="code" meta_type="String Widget">
+  <property name="title">Code</property>
+  <property name="fields">
+   <element value="code"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Code</property>
+  <property name="label_edit">Code</property>
+  <property name="display_width">10</property>
+ </widget>
+ <widget name="core_or_elective" meta_type="Boolean Widget">
+  <property name="title">Core or Elective</property>
+  <property name="fields">
+   <element value="core_or_elective"/>
+  </property>
+  <property name="label">Core or Elective</property>
+  <property name="label_edit">Core or Elective</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="label_false">elective</property>
+  <property name="label_true">core</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="code"/>
+  </row>
+  <row>
+   <cell name="certificate_code"/>
+  </row>
+  <row>
+   <cell name="certificate_code_org"/>
+  </row>
+  <row>
+   <cell name="core_or_elective"/>
+  </row>
+  <row>
+   <cell name="admin_status"/>
+  </row>
+ </table>
+</object>
Index: waeup_product/trunk/profiles/default/layouts/course.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/course.xml	(revision 238)
+++ waeup_product/trunk/profiles/default/layouts/course.xml	(revision 256)
@@ -7,4 +7,15 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
+ <widget name="category" meta_type="String Widget">
+  <property name="title">Category</property>
+  <property name="fields">
+   <element value="category"/>
+  </property>
+  <property name="label">Category</property>
+  <property name="label_edit">Category</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
  <widget name="code" meta_type="String Widget">
   <property name="title">Code</property>
@@ -17,32 +28,28 @@
   <property name="display_width">10</property>
  </widget>
- <widget name="core_elective" meta_type="Boolean Widget">
+ <widget name="credits" meta_type="Int Widget">
+  <property name="title">Credits</property>
   <property name="fields">
-   <element value="core_elective"/>
+   <element value="credits"/>
   </property>
-  <property name="is_required">True</property>
-  <property name="label">Core or elective</property>
-  <property name="label_edit">Core or elective</property>
-  <property name="label_false">Elective Course</property>
-  <property name="label_true">Core Course</property>
+  <property name="label">Credits</property>
+  <property name="label_edit">Credits</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="credit" meta_type="Int Widget">
+ <widget name="org_code" meta_type="String Widget">
+  <property name="title">Original Code</property>
   <property name="fields">
-   <element value="credit"/>
+   <element value="org_code"/>
   </property>
-  <property name="is_required">True</property>
-  <property name="label">Credit</property>
-  <property name="label_edit">Credit</property>
- </widget>
- <widget name="level" meta_type="Select Widget">
-  <property name="fields">
-   <element value="level"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Level</property>
-  <property name="label_edit">Level</property>
-  <property name="vocabulary">courselevel</property>
+  <property name="label">Original Code</property>
+  <property name="label_edit">Original Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="passmark" meta_type="Int Widget">
+  <property name="title">Passmark</property>
   <property name="fields">
    <element value="passmark"/>
@@ -55,49 +62,30 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="semester" meta_type="Select Widget">
-  <property name="title">Semester</property>
+ <widget name="semester" meta_type="Int Widget">
+  <property name="title">Nr of semesters</property>
   <property name="fields">
    <element value="semester"/>
   </property>
-  <property name="label">Semester</property>
-  <property name="label_edit">Semester</property>
+  <property name="label">Nr of semesters</property>
+  <property name="label_edit">Nr of semesters</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">semester_voc</property>
- </widget>
- <widget name="text" meta_type="Text Widget">
-  <property name="fields">
-   <element value="text"/>
-  </property>
-  <property name="label">Text</property>
-  <property name="label_edit">Text</property>
-  <property name="help">Short Description</property>
-  <property name="is_i18n">True</property>
-  <property name="hidden_layout_modes"/>
-  <property name="css_class">description</property>
-  <property name="width">72</property>
  </widget>
  <table>
-  <row>
-   <cell name="heading"/>
-  </row>
-  <row>
-   <cell name="text"/>
-  </row>
-  <row>
-   <cell name="level"/>
-  </row>
   <row>
    <cell name="code"/>
   </row>
   <row>
-   <cell name="semester"/>
+   <cell name="org_code"/>
   </row>
   <row>
-   <cell name="credit"/>
+   <cell name="category"/>
   </row>
   <row>
-   <cell name="core_elective"/>
+   <cell name="credits"/>
+  </row>
+  <row>
+   <cell name="semester"/>
   </row>
   <row>
Index: waeup_product/trunk/profiles/default/layouts/studycourse.xml
===================================================================
--- waeup_product/trunk/profiles/default/layouts/studycourse.xml	(revision 238)
+++ 	(revision )
@@ -1,103 +1,0 @@
-<?xml version="1.0"?>
-<object name="studycourse" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_default_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="code" meta_type="String Widget">
-  <property name="title">Code</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Code</property>
-  <property name="label_edit">Code</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">6</property>
-  <property name="size_max">6</property>
- </widget>
- <widget name="department" meta_type="Select Widget">
-  <property name="title">Department</property>
-  <property name="fields">
-   <element value="department"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Department</property>
-  <property name="label_edit">Department</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="faculty" meta_type="Select Widget">
-  <property name="title">Faculty</property>
-  <property name="fields">
-   <element value="faculty"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Faculty</property>
-  <property name="label_edit">Faculty</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="max_load" meta_type="Int Widget">
-  <property name="title">Maximum Load</property>
-  <property name="fields">
-   <element value="max_load"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Maximum Load</property>
-  <property name="label_edit">Maximum Load</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="max_pass" meta_type="Int Widget">
-  <property name="title">Maximum Pass</property>
-  <property name="fields">
-   <element value="max_pass"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Maximum Pass</property>
-  <property name="label_edit">Maximum Pass</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="nr_of_levels" meta_type="Int Widget">
-  <property name="title">Nr of Levels</property>
-  <property name="fields">
-   <element value="nr_of_levels"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Nr of Levels</property>
-  <property name="label_edit">Nr of Levels</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <table>
-  <row>
-   <cell name="code"/>
-  </row>
-  <row>
-   <cell name="faculty"/>
-  </row>
-  <row>
-   <cell name="department"/>
-  </row>
-  <row>
-   <cell name="nr_of_levels"/>
-  </row>
-  <row>
-   <cell name="max_load"/>
-  </row>
-  <row>
-   <cell name="max_pass"/>
-  </row>
- </table>
-</object>