Index: /waeup_product/trunk/__init__.py
===================================================================
--- /waeup_product/trunk/__init__.py	(revision 259)
+++ /waeup_product/trunk/__init__.py	(revision 260)
@@ -1,2 +1,5 @@
+from Testing.ZopeTestCase import installProduct
+
+installProduct('WAeUP')
 #-*- mode: python; mode: fold -*-
 # $Id$
Index: /waeup_product/trunk/exportimport.py
===================================================================
--- /waeup_product/trunk/exportimport.py	(revision 259)
+++ /waeup_product/trunk/exportimport.py	(revision 260)
@@ -537,5 +537,5 @@
     """
     site = context.getSite()
-    setupStructure(site,context)
+    #setupStructure(site,context)
     #import pdb; pdb.set_trace()
     pass
Index: /waeup_product/trunk/tests/__init__.py
===================================================================
--- /waeup_product/trunk/tests/__init__.py	(revision 260)
+++ /waeup_product/trunk/tests/__init__.py	(revision 260)
@@ -0,0 +1,121 @@
+from Testing.ZopeTestCase import installProduct
+
+installProduct('WAeUP')
+#-*- mode: python; mode: fold -*-
+# $Id$
+from Products.CMFCore.utils import ContentInit, ToolInit
+from Products.CMFCore.DirectoryView import registerDirectory
+from Products.CMFCore import utils as cmfutils
+from Products.CMFCore.CMFCorePermissions import AddPortalContent
+
+from Products.GenericSetup import profile_registry
+from Products.GenericSetup import EXTENSION
+
+from Products.CPSCore.interfaces import ICPSSite
+
+import Products.WAeUP.WAeUPPermissions
+from Products.WAeUP.University import University, addUniversity
+from Products.WAeUP.Accommodation import AccoFolder, addAccoFolder
+from Products.WAeUP.Accommodation import Accommodation, addAccommodation
+#from Products.WAeUP.Academics import SCFolder, addSCFolder
+from Products.WAeUP.Academics import Certificate, addCertificate
+from Products.WAeUP.Academics import CertificateCourse, addCertificateCourse
+from Products.WAeUP.Academics import Faculty, addFaculty
+from Products.WAeUP.Academics import Department, addDepartment
+from Products.WAeUP.Academics import Course, addCourse
+from Products.WAeUP.Academics import CourseTicket, addCourseTicket
+from Products.WAeUP.Academics import CertificateCourse, addCertificateCourse
+from Products.WAeUP.Students import Student, addStudent
+from Products.WAeUP.Students import StudentPersonal, addStudentPersonal
+from Products.WAeUP.Students import StudentEligibility, addStudentEligibility
+from Products.WAeUP.Students import StudentDocuments, addStudentDocuments
+from Products.WAeUP.Students import Jamb, addJamb
+from Products.WAeUP.Students import StudyLevel, addStudyLevel
+from Products.WAeUP.Students import Semester, addSemester
+
+
+import Widgets
+
+contentClasses = (
+    University,
+    #SCFolder,
+    Certificate,
+    CertificateCourse,
+    Faculty,
+    Department,
+    Course,
+    CourseTicket,
+    CertificateCourse,
+    AccoFolder,
+    Accommodation,
+    Student,
+    StudentPersonal,
+    StudentEligibility,
+    StudentDocuments,
+    Jamb,
+    StudyLevel,
+    Semester,
+    )
+
+contentConstructors = (
+    addUniversity,
+    #addSCFolder,
+    addCertificate,
+    addCertificateCourse,
+    addFaculty,
+    addDepartment,
+    addCourse,
+    addCourseTicket,
+    addCertificateCourse,
+    addAccoFolder,
+    addAccommodation,
+    addStudent,
+    addStudentPersonal,
+    addStudentEligibility,
+    addStudentDocuments,
+    addJamb,
+    addStudyLevel,
+    addSemester,
+    )
+
+fti = (
+    {}, # University
+    #{}, #SCFolder
+    {}, #Certificate
+    {}, #CertificateCourse
+    {}, # Faculty
+    {}, # Department
+    {}, # Course
+    {}, # CourseTicket
+    {}, # CertificateCourse
+    {}, # AccoFolder
+    {}, # Accommodation
+    {}, # Student,
+    {}, # StudentPersonal,
+    {}, # StudentEligibility,
+    {}, # StudentDocuments,
+    {}, # Jamb,
+    {}, # StudyLevel,
+    {}, # Semester,
+    )
+
+registerDirectory('skins', globals())
+
+def initialize(registrar):
+    ContentInit('WAeUP Types',
+                content_types = contentClasses,
+                permission = AddPortalContent,
+                extra_constructors = contentConstructors,
+                fti = fti,
+                ).initialize(registrar)
+
+    # Extension profile registration
+    profile_registry.registerProfile(
+        'default',
+        'WAeUP',
+        "The WestAfrican e-University Project",
+        'profiles/default',
+        'WAeUP',
+        EXTENSION,
+        for_=ICPSSite)
+
Index: /waeup_product/trunk/tests/test_test.py
===================================================================
--- /waeup_product/trunk/tests/test_test.py	(revision 260)
+++ /waeup_product/trunk/tests/test_test.py	(revision 260)
@@ -0,0 +1,16 @@
+# -*- coding: ISO-8859-15 -*-
+#
+# $Id$
+import unittest
+
+from waeuptest import WAeUPTest
+
+class TestTesting(WAeUPTest):
+        
+    def testTest(self):
+        print "works!"
+
+def test_suite():
+    return unittest.TestSuite((
+        unittest.makeSuite(TestTesting),
+        ))
Index: /waeup_product/trunk/tests/waeuptest.py
===================================================================
--- /waeup_product/trunk/tests/waeuptest.py	(revision 260)
+++ /waeup_product/trunk/tests/waeuptest.py	(revision 260)
@@ -0,0 +1,14 @@
+# -*- coding: ISO-8859-15 -*-
+#
+# $Id$
+
+from Products.CPSDefault.tests.CPSTestCase import CPSTestCase
+from Products.CPSDefault.tests.CPSTestCase import ExtensionProfileLayerClass
+
+class LayerClass(ExtensionProfileLayerClass):
+    extension_ids = ('WAeUP:default',)
+
+WAeUPLayer = LayerClass(__name__, 'WAeUPLayer')
+
+class WAeUPTest(CPSTestCase):
+    layer = WAeUPLayer