Index: /waeup_product/trunk/PatchCPSDefaultImportExport.py
===================================================================
--- /waeup_product/trunk/PatchCPSDefaultImportExport.py	(revision 263)
+++ /waeup_product/trunk/PatchCPSDefaultImportExport.py	(revision 263)
@@ -0,0 +1,68 @@
+from Products.CPSDocument.exportimport import importCPSObjects
+from Products.CMFCore.utils import getToolByName
+from zope.app import zapi
+from Products.GenericSetup.interfaces import INode
+import Products
+
+def _initObjects(self, node):
+    for child in node.childNodes:
+        if child.nodeName != 'object':
+            continue
+        if child.hasAttribute('deprecated'):
+            continue
+        parent = self.context
+
+        obj_id = str(child.getAttribute('name'))
+        if child.hasAttribute('remove'):
+            parent._delObject(obj_id)
+            continue
+
+        if obj_id not in parent.objectIds():
+            portal_type = str(child.getAttribute('portal_type'))
+            if portal_type:
+                wftool = getToolByName(parent, 'portal_workflow')
+                wftool.invokeFactoryFor(parent, portal_type, obj_id)
+            else:
+                meta_type = str(child.getAttribute('meta_type'))
+                __traceback_info__ = obj_id, meta_type
+                for mt_info in Products.meta_types:
+                    if mt_info['name'] == meta_type:
+                        parent._setObject(obj_id, mt_info['instance'](obj_id))
+                        break
+                else:
+                    raise ValueError("unknown meta_type '%s'" % meta_type)
+                        
+
+        if child.hasAttribute('insert-before'):
+            insert_before = child.getAttribute('insert-before')
+            if insert_before == '*':
+                parent.moveObjectsToTop(obj_id)
+            else:
+                try:
+                    position = parent.getObjectPosition(insert_before)
+                    if parent.getObjectPosition(obj_id) < position:
+                        position -= 1
+                    parent.moveObjectToPosition(obj_id, position)
+                except ValueError:
+                    pass
+        elif child.hasAttribute('insert-after'):
+            insert_after = child.getAttribute('insert-after')
+            if insert_after == '*':
+                parent.moveObjectsToBottom(obj_id)
+            else:
+                try:
+                    position = parent.getObjectPosition(insert_after)
+                    if parent.getObjectPosition(obj_id) < position:
+                        position -= 1
+                    parent.moveObjectToPosition(obj_id, position+1)
+                except ValueError:
+                    pass
+
+        obj = getattr(self.context, obj_id)
+        importer = zapi.queryMultiAdapter((obj, self.environ), INode)
+        if importer:
+            importer.node = child
+
+from Products.CPSDefault.exportimport import RootXMLAdapter
+RootXMLAdapter._initObjects = _initObjects
+
Index: /waeup_product/trunk/__init__.py
===================================================================
--- /waeup_product/trunk/__init__.py	(revision 262)
+++ /waeup_product/trunk/__init__.py	(revision 263)
@@ -1,5 +1,2 @@
-from Testing.ZopeTestCase import installProduct
-
-installProduct('WAeUP')
 #-*- mode: python; mode: fold -*-
 # $Id$
@@ -13,4 +10,6 @@
 
 from Products.CPSCore.interfaces import ICPSSite
+
+import PatchCPSDefaultImportExport
 
 import Products.WAeUP.WAeUPPermissions
Index: /waeup_product/trunk/exportimport.py
===================================================================
--- /waeup_product/trunk/exportimport.py	(revision 262)
+++ /waeup_product/trunk/exportimport.py	(revision 263)
@@ -489,8 +489,7 @@
 
 def setupStructure(site,context): ###(
-    sections = getattr(site,'sections')
-    portal = getattr(sections,'uniportal',None)
+    portal = getattr(site,'uniportal',None)
     if portal is None:
-        sections.invokeFactory('University','uniportal')
+        site.invokeFactory('University','uniportal')
         portal = getattr(site,'uniportal',None)
         portal.getContent().edit(mapping={'Title':SRPP_TITLE})
Index: /waeup_product/trunk/profiles/default/roots.xml
===================================================================
--- /waeup_product/trunk/profiles/default/roots.xml	(revision 263)
+++ /waeup_product/trunk/profiles/default/roots.xml	(revision 263)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<roots>
+ <object name="uniportal" portal_type="University"/>
+</roots>
Index: /waeup_product/trunk/profiles/default/roots/uniportal.xml
===================================================================
--- /waeup_product/trunk/profiles/default/roots/uniportal.xml	(revision 263)
+++ /waeup_product/trunk/profiles/default/roots/uniportal.xml	(revision 263)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<object name="uniportal">
+  <property name="title">University Portal</property>
+  <object name="academics" portal_type="AcademicsFolder" />
+  <object name="accomodation" portal_type="AccoFolder" />
+  <object name="students" portal_type="StudentsFolder" />
+</object>
Index: /waeup_product/trunk/profiles/default/themes.xml
===================================================================
--- /waeup_product/trunk/profiles/default/themes.xml	(revision 262)
+++ /waeup_product/trunk/profiles/default/themes.xml	(revision 263)
@@ -4,6 +4,6 @@
  <property name="debug_mode">True</property>
  <property name="method_themes">
-  <element key="index_html" value="default+Front"/>
  </property>
+ <object name="default" meta_type="Portal Theme"/>
  <object name="waeup_management_theme" meta_type="Portal Theme"/>
  <object name="waeup_plain_theme" meta_type="Portal Theme"/>
Index: /waeup_product/trunk/profiles/default/themes/default.xml
===================================================================
--- /waeup_product/trunk/profiles/default/themes/default.xml	(revision 263)
+++ /waeup_product/trunk/profiles/default/themes/default.xml	(revision 263)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<object name="waeup_plain_theme" meta_type="Portal Theme">
+ <property name="default">False</property>
+</object>
Index: /waeup_product/trunk/tests/__init__.py
===================================================================
--- /waeup_product/trunk/tests/__init__.py	(revision 262)
+++ /waeup_product/trunk/tests/__init__.py	(revision 263)
@@ -2,120 +2,2 @@
 
 installProduct('WAeUP')
-#-*- mode: python; mode: fold -*-
-# $Id$
-from Products.CMFCore.utils import ContentInit, ToolInit
-from Products.CMFCore.DirectoryView import registerDirectory
-from Products.CMFCore import utils as cmfutils
-from Products.CMFCore.CMFCorePermissions import AddPortalContent
-
-from Products.GenericSetup import profile_registry
-from Products.GenericSetup import EXTENSION
-
-from Products.CPSCore.interfaces import ICPSSite
-
-import Products.WAeUP.WAeUPPermissions
-from Products.WAeUP.University import University, addUniversity
-from Products.WAeUP.Accommodation import AccoFolder, addAccoFolder
-from Products.WAeUP.Accommodation import Accommodation, addAccommodation
-#from Products.WAeUP.Academics import SCFolder, addSCFolder
-from Products.WAeUP.Academics import Certificate, addCertificate
-from Products.WAeUP.Academics import CertificateCourse, addCertificateCourse
-from Products.WAeUP.Academics import Faculty, addFaculty
-from Products.WAeUP.Academics import Department, addDepartment
-from Products.WAeUP.Academics import Course, addCourse
-from Products.WAeUP.Academics import CourseTicket, addCourseTicket
-from Products.WAeUP.Academics import CertificateCourse, addCertificateCourse
-from Products.WAeUP.Students import Student, addStudent
-from Products.WAeUP.Students import StudentPersonal, addStudentPersonal
-from Products.WAeUP.Students import StudentEligibility, addStudentEligibility
-from Products.WAeUP.Students import StudentDocuments, addStudentDocuments
-from Products.WAeUP.Students import Jamb, addJamb
-from Products.WAeUP.Students import StudyLevel, addStudyLevel
-from Products.WAeUP.Students import Semester, addSemester
-
-
-import Widgets
-
-contentClasses = (
-    University,
-    #SCFolder,
-    Certificate,
-    CertificateCourse,
-    Faculty,
-    Department,
-    Course,
-    CourseTicket,
-    CertificateCourse,
-    AccoFolder,
-    Accommodation,
-    Student,
-    StudentPersonal,
-    StudentEligibility,
-    StudentDocuments,
-    Jamb,
-    StudyLevel,
-    Semester,
-    )
-
-contentConstructors = (
-    addUniversity,
-    #addSCFolder,
-    addCertificate,
-    addCertificateCourse,
-    addFaculty,
-    addDepartment,
-    addCourse,
-    addCourseTicket,
-    addCertificateCourse,
-    addAccoFolder,
-    addAccommodation,
-    addStudent,
-    addStudentPersonal,
-    addStudentEligibility,
-    addStudentDocuments,
-    addJamb,
-    addStudyLevel,
-    addSemester,
-    )
-
-fti = (
-    {}, # University
-    #{}, #SCFolder
-    {}, #Certificate
-    {}, #CertificateCourse
-    {}, # Faculty
-    {}, # Department
-    {}, # Course
-    {}, # CourseTicket
-    {}, # CertificateCourse
-    {}, # AccoFolder
-    {}, # Accommodation
-    {}, # Student,
-    {}, # StudentPersonal,
-    {}, # StudentEligibility,
-    {}, # StudentDocuments,
-    {}, # Jamb,
-    {}, # StudyLevel,
-    {}, # Semester,
-    )
-
-registerDirectory('skins', globals())
-
-def initialize(registrar):
-    ContentInit('WAeUP Types',
-                content_types = contentClasses,
-                permission = AddPortalContent,
-                extra_constructors = contentConstructors,
-                fti = fti,
-                ).initialize(registrar)
-
-    # Extension profile registration
-    profile_registry.registerProfile(
-        'default',
-        'WAeUP',
-        "The WestAfrican e-University Project",
-        'profiles/default',
-        'WAeUP',
-        EXTENSION,
-        for_=ICPSSite)
-
Index: /waeup_product/trunk/tests/test_test.py
===================================================================
--- /waeup_product/trunk/tests/test_test.py	(revision 262)
+++ /waeup_product/trunk/tests/test_test.py	(revision 263)
@@ -9,5 +9,7 @@
         
     def testTest(self):
-        print "works!"
+        self.failUnless('AcademicsFolder' in 
+            self.portal.portal_types.objectIds(),
+            "No AcademicsFolder type")
 
 def test_suite():
Index: /waeup_product/trunk/tests/waeuptest.py
===================================================================
--- /waeup_product/trunk/tests/waeuptest.py	(revision 262)
+++ /waeup_product/trunk/tests/waeuptest.py	(revision 263)
@@ -7,5 +7,5 @@
 
 class LayerClass(ExtensionProfileLayerClass):
-    extension_ids = ('WAeUP:default',)
+    extension_ids = ('CPSSubscriptions:default', 'WAeUP:default',)
 
 WAeUPLayer = LayerClass(__name__, 'WAeUPLayer')