Index: waeup_doc/MainProcesses.html
===================================================================
--- waeup_doc/MainProcesses.html	(revision 255)
+++ waeup_doc/MainProcesses.html	(revision 268)
@@ -315,5 +315,5 @@
 <div class="section">
 <h2><a id="step-1-online-pume-application" name="step-1-online-pume-application">Step 1 (online): PUME Application</a></h2>
-<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below).</p>
+<p>The student buys an <strong>Application Access Card</strong> and enters the Access Code (PIN) together with his/her JAMB registration number on the <em>PUME Application Website</em>. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the <em>PUME Acknowledgement Slip</em>  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below). Furthermore, a member account with random password will be assigned. The password is also displayed on the <em>PUME Acknowledgement Slip</em>.</p>
 <p>Data fields to be shown on the PUME Acknowledgement Slip:</p>
 <pre class="literal-block">
@@ -325,4 +325,5 @@
 PUME Exam Date
 PUME Venue
+Password
 </pre>
 <ul class="simple">
@@ -356,6 +357,6 @@
 <div class="section">
 <h2><a id="step-4-online-pume-result-checking" name="step-4-online-pume-result-checking">Step 4 (online): PUME Result Checking</a></h2>
-<p>The student checks the exam results on the <em>PUME Results Checking Website</em>. To access the website he/she reuses his/her <strong>Application PIN</strong>. He/She will see the results and can print out the <em>PUME Result Slip</em>.</p>
-<p>The PUME Results Checking Website shows the same data as the PUME Acknowledgement Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively)</p>
+<p>The student checks the exam results on the <em>PUME Results Checking Website</em>. To access the website he/she reuses his/her <strong>Application PIN</strong> and enters the password (printed on the <em>PUME Acknowledgement Slip</em>). He/She will see the results and can print out the <em>PUME Result Slip</em>.</p>
+<p>Except the password, the PUME Results Checking Website shows the same data as the PUME Acknowledgement Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively)</p>
 </div>
 <div class="section">
@@ -368,5 +369,5 @@
 <div class="section">
 <h2><a id="step-6-online-offline-admission-checking" name="step-6-online-offline-admission-checking">Step 6 (online/offline): Admission Checking</a></h2>
-<p>The student checks for admission to the university on the <em>Admission Checking Website</em> and prints out the <em>Admission Slip</em>. To enter the website he reuses his <strong>Application PIN</strong>. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).</p>
+<p>The student checks for admission to the university on the <em>Admission Checking Website</em> and prints out the <em>Admission Slip</em>. To enter the website he reuses his <strong>Application PIN</strong> together with the password. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).</p>
 <ul class="simple">
 <li><a class="reference" href="Examples/AdmissionSlip.html">AdmissionSlip.html</a></li>
@@ -375,5 +376,5 @@
 <div class="section">
 <h2><a id="step-7-online-clearance" name="step-7-online-clearance">Step 7 (online): Clearance</a></h2>
-<p>The student buys a <strong>Clearance Access Card</strong> and proceeds to the <em>Clearance and Eligibility Form</em> where he/she enters the corresponding PIN first.</p>
+<p>The student buys a <strong>Clearance Access Card</strong> and proceeds to the <em>Clearance and Eligibility Form</em> where he/she enters the corresponding PIN  and the password first.</p>
 <p>The Eligibility Form contains the following data:</p>
 <pre class="literal-block">
@@ -454,5 +455,5 @@
 <div class="section">
 <h2><a id="step-10-online-personal-data" name="step-10-online-personal-data">Step 10 (online): Personal Data</a></h2>
-<p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area which has been automatically created after Clearance Validation. The basis for Personal Data Form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
+<p>The student has to fill the <em>Personal Data Form</em> which contains all sorts of personal information. Now he/she is also able to change the password for accessing his/her personal portal member area which has been automatically created after Clearance Validation. The basis for Personal Data Form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.</p>
 <ul class="simple">
 <li><a class="reference" href="Examples/PersonalData.html">PersonalData.html</a></li>
@@ -576,8 +577,12 @@
 </div>
 <div class="section">
-<h1><a id="viii-portal-roles" name="viii-portal-roles">VIII Portal Roles</a></h1>
+<h1><a id="viii-portal-roles-and-permissions" name="viii-portal-roles-and-permissions">VIII Portal Roles and Permissions</a></h1>
 <div class="section">
 <h2><a id="portal-manager-pm" name="portal-manager-pm">Portal Manager (PM)</a></h2>
-<p>The Portal Manager is the main system administrator who has exclusive rights to access all parts of the portal. His main task will be to upload and import the various data files: JAMB Lists, PUME Exam Results, Local Programme Exam Results, Admission List, Course Result List, Access Card List</p>
+<p>The Portal Manager is the main system administrator (or Zope manager) who has exclusive rights to access all parts of the portal including the Zope Management Interface (ZMI).</p>
+</div>
+<div class="section">
+<h2><a id="university-manager-um" name="university-manager-um">University Manager (UM)</a></h2>
+<p>The University Manager is able to set up the infrastructure of the entire university and to provide content specific to the university.</p>
 </div>
 <div class="section">
@@ -613,4 +618,8 @@
 <p>The Hostel Manager sets up and manages the infrastructure of all hostels.</p>
 </div>
+<div class="section">
+<h2><a id="additional-permission" name="additional-permission">Additional Permission</a></h2>
+<p>Permission to upload and import the various data files: JAMB Lists, PUME Exam Results, Local Programme Exam Results, Admission List, Course Result List, Access Card List.</p>
+</div>
 </div>
 <div class="section">
Index: waeup_doc/MainProcesses.rst
===================================================================
--- waeup_doc/MainProcesses.rst	(revision 255)
+++ waeup_doc/MainProcesses.rst	(revision 268)
@@ -34,5 +34,5 @@
 +++++++++++++++++++++++++++++++++
 
-The student buys an **Application Access Card** and enters the Access Code (PIN) together with his/her JAMB registration number on the *PUME Application Website*. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the *PUME Acknowledgement Slip*  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below).
+The student buys an **Application Access Card** and enters the Access Code (PIN) together with his/her JAMB registration number on the *PUME Application Website*. His/Her JAMB data set (see above) will show up and the student will be requested to upload a passport picture. After uploading the picture the student can print out the *PUME Acknowledgement Slip*  for presentation in the examination hall. The picture must be displayed on the Acknowledgement Slip as well as the Admission and Hostel Allocation Slip (see below). Furthermore, a member account with random password will be assigned. The password is also displayed on the *PUME Acknowledgement Slip*.
 
 Data fields to be shown on the PUME Acknowledgement Slip: 
@@ -47,4 +47,5 @@
  PUME Exam Date 
  PUME Venue 
+ Password
 
 - `PUMEAcknowledgementSlip.jpg <Examples/PUMEAcknowledgementSlip.jpg>`_
@@ -87,7 +88,7 @@
 +++++++++++++++++++++++++++++++++++++
 
-The student checks the exam results on the *PUME Results Checking Website*. To access the website he/she reuses his/her **Application PIN**. He/She will see the results and can print out the *PUME Result Slip*.
-
-The PUME Results Checking Website shows the same data as the PUME Acknowledgement Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively) 
+The student checks the exam results on the *PUME Results Checking Website*. To access the website he/she reuses his/her **Application PIN** and enters the password (printed on the *PUME Acknowledgement Slip*). He/She will see the results and can print out the *PUME Result Slip*.
+
+Except the password, the PUME Results Checking Website shows the same data as the PUME Acknowledgement Slip. Additionally the PUME results are displayed: English, Mathematics and General (papers 1, 2 and 3 respectively) 
  
 
@@ -102,5 +103,5 @@
 +++++++++++++++++++++++++++++++++++++++++++
 
-The student checks for admission to the university on the *Admission Checking Website* and prints out the *Admission Slip*. To enter the website he reuses his **Application PIN**. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).
+The student checks for admission to the university on the *Admission Checking Website* and prints out the *Admission Slip*. To enter the website he reuses his **Application PIN** together with the password. He/she will also see the study programme (certificate) he/she is admitted to. This can differ from the student's choice and has to be officially accepted by the student by signing a letter of acceptance to be presented later to the Clearance Officer (formerly done by filling the online Acceptance Form which is now deprecated).
 
 - `AdmissionSlip.html <Examples/AdmissionSlip.html>`_
@@ -109,5 +110,5 @@
 ++++++++++++++++++++++++++
 
-The student buys a **Clearance Access Card** and proceeds to the *Clearance and Eligibility Form* where he/she enters the corresponding PIN first. 
+The student buys a **Clearance Access Card** and proceeds to the *Clearance and Eligibility Form* where he/she enters the corresponding PIN  and the password first. 
 
 The Eligibility Form contains the following data:
@@ -203,5 +204,5 @@
 +++++++++++++++++++++++++++++++
 
-The student has to fill the *Personal Data Form* which contains all sorts of personal information. He/she also chooses a password for accessing his/her personal portal member area which has been automatically created after Clearance Validation. The basis for Personal Data Form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.
+The student has to fill the *Personal Data Form* which contains all sorts of personal information. Now he/she is also able to change the password for accessing his/her personal portal member area which has been automatically created after Clearance Validation. The basis for Personal Data Form is the data already gathered from the Clearance and Eligibility data. Other details such as permanent home address, next of kin, sponsor and all other such related information are filled in here. The information does not have direct relevance to course registration, but are useful for generation of School identity cards.
 
 - `PersonalData.html <Examples/PersonalData.html>`_
@@ -356,11 +357,16 @@
 
 
-VIII Portal Roles
------------------
+VIII Portal Roles and Permissions
+---------------------------------
 
 Portal Manager (PM)
 +++++++++++++++++++
  
-The Portal Manager is the main system administrator who has exclusive rights to access all parts of the portal. His main task will be to upload and import the various data files: JAMB Lists, PUME Exam Results, Local Programme Exam Results, Admission List, Course Result List, Access Card List
+The Portal Manager is the main system administrator (or Zope manager) who has exclusive rights to access all parts of the portal including the Zope Management Interface (ZMI). 
+
+University Manager (UM)
++++++++++++++++++++++++
+
+The University Manager is able to set up the infrastructure of the entire university and to provide content specific to the university. 
 
 Clearance Officer (CO)
@@ -404,4 +410,9 @@
 The Hostel Manager sets up and manages the infrastructure of all hostels. 
 
+Additional Permissions
+++++++++++++++++++++++
+
+Permissions to upload and import the various data files: JAMB Lists, PUME Exam Results, Local Programme Exam Results, Admission List, Course Result List, Access Card List.
+
 
 