Index: WAeUP-SRP/trunk/profiles/default/export_steps.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/export_steps.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/export_steps.xml	(revision 274)
@@ -2,7 +2,7 @@
 <export-steps>
  <export-step id="waeup"
-              handler="Products.WAeUP.exportimport.exportWAeUP"
+              handler="Products.WAeUP_SRP.exportimport.exportWAeUP"
               title="WAeUP">
-  Export WAeUP and it's configuration.
+  Export WAeUP_SRP and it's configuration.
  </export-step>
 </export-steps>
Index: WAeUP-SRP/trunk/profiles/default/import_steps.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/import_steps.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/import_steps.xml	(revision 274)
@@ -2,8 +2,8 @@
 <import-steps>
  <import-step id="waeup" version="20060115-01"
-              handler="Products.WAeUP.exportimport.importWAeUP"
+              handler="Products.WAeUP_SRP.exportimport.importWAeUP"
               title="WAeUP">
   <dependency step="toolset" />
-  Import WAeUP and its configuration.
+  Import WAeUP_SRP and its configuration.
  </import-step>
 </import-steps>
Index: WAeUP-SRP/trunk/profiles/default/skins.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/skins.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/skins.xml	(revision 274)
@@ -4,9 +4,9 @@
    request_varname="portal_skin">
  <object name="waeup_default" meta_type="Filesystem Directory View"
-    directory="WAeUP/skins/waeup_default"/>
+    directory="WAeUP_SRP/skins/waeup_default"/>
  <object name="waeup_faculty" meta_type="Filesystem Directory View"
-    directory="WAeUP/skins/waeup_faculty"/>
+    directory="WAeUP_SRP/skins/waeup_faculty"/>
  <object name="waeup_student" meta_type="Filesystem Directory View"
-    directory="WAeUP/skins/waeup_student"/>
+    directory="WAeUP_SRP/skins/waeup_student"/>
  <skin-path name="CPSSkins">
   <layer name="waeup_default" insert-after="custom"/>
Index: WAeUP-SRP/trunk/profiles/default/types/AccoFolder.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">AccoFolder</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addAccoFolder</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Accommodation.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Accommodation.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Accommodation.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon">student.gif</property>
  <property name="content_meta_type">Accommodation</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addAccommodation</property>
  <property name="immediate_view">cpsdocument_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Certificate.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Certificate.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Certificate.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">Certificate</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addCertificate</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">CertificateCourse</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addCertificateCourse</property>
  <property name="immediate_view">cpsdocument_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Course.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Course.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon">student.gif</property>
  <property name="content_meta_type">Course</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addCourse</property>
  <property name="immediate_view">cpsdocument_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/CourseTicket.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/CourseTicket.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/CourseTicket.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">CourseTicket</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addCourseTicket</property>
  <property name="immediate_view">cpsdocument_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Department.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Department.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">Department</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addDepartment</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Faculty.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Faculty.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">Faculty</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addFaculty</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Jamb.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Jamb.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Jamb.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">Jamb</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addJamb</property>
  <property name="immediate_view">cpsdocument_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Semester.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Semester.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Semester.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">Semester</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addSemester</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/Student.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/Student.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/Student.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon">student.gif</property>
  <property name="content_meta_type">Student</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudent</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/StudentDocuments.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/StudentDocuments.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/StudentDocuments.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">StudentDocuments</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentDocuments</property>
  <property name="immediate_view">temporary_view_all</property>
Index: WAeUP-SRP/trunk/profiles/default/types/StudentEligibility.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/StudentEligibility.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/StudentEligibility.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">StudentEligibility</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentEligibility</property>
  <property name="immediate_view">temporary_view_all</property>
Index: WAeUP-SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">StudentPersonal</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentPersonal</property>
  <property name="immediate_view">temporary_view_all</property>
Index: WAeUP-SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">StudyLevel</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudyLevel</property>
  <property name="immediate_view">folder_view</property>
Index: WAeUP-SRP/trunk/profiles/default/types/University.xml
===================================================================
--- WAeUP-SRP/trunk/profiles/default/types/University.xml	(revision 272)
+++ WAeUP-SRP/trunk/profiles/default/types/University.xml	(revision 274)
@@ -6,5 +6,5 @@
  <property name="content_icon">students_folder.gif</property>
  <property name="content_meta_type">University</property>
- <property name="product">WAeUP</property>
+ <property name="product">WAeUP_SRP</property>
  <property name="factory">addUniversity</property>
  <property name="immediate_view">university_view_all</property>