Index: /WAeUP_SRP/trunk/Academics.py
===================================================================
--- /WAeUP_SRP/trunk/Academics.py	(revision 278)
+++ /WAeUP_SRP/trunk/Academics.py	(revision 279)
@@ -17,4 +17,10 @@
 #registerDirectory('skins/waeup_faculty', globals())
 
+import csv,re
+import logging
+import Globals
+p_home = Globals.package_home(globals())
+i_home = Globals.INSTANCE_HOME
+
 class AcademicsFolder(CPSDocument): ###(
     """
@@ -30,5 +36,5 @@
 ##        return "AcademicsFolder of %s" % (self.title)
 
-    security.declareProtected(ModifyPortalContent,"loadFacultiesFromCSV")###(
+    security.declareProtected(View,"loadFacultiesFromCSV")###(
     def loadFacultiesFromCSV(self): 
         """install Universityspecific Faculies from CSV values"""
@@ -76,5 +82,4 @@
             
     ###)
-
 
     security.declareProtected(ModifyPortalContent,"loadDepartmentsFromCSV")###(
@@ -340,14 +345,36 @@
     security = ClassSecurityInfo()
     
+    def getCourseEntry(self,cid):
+        res = self.portal_catalog({'meta_type': "Course",
+                                           'id': cid})
+        if res:
+            return res[-1]  
+        else:
+            return None
+        
     security.declareProtected(View,"Title")
     def Title(self):
         """compose title"""
-        res = self.portal_catalog({'meta_type': "Course",
-                                           'id': self.id})
-        if res:
-            course = res[-1].getObject()  
-        else:
-            return "No course for %s" % self.id
-        return "%s" % (course.title)
+        ce = self.getCourseEntry(self.id)
+        if ce:
+            return "%s" % ce.Title
+        return "No such course"
+
+    security.declareProtected(View,"credits")
+    def credits(self):
+        """credits from course"""
+        ce = self.getCourseEntry(self.id)
+        if ce:
+            return "%s" % ce.credits
+        return 0
+    
+    security.declareProtected(View,"passmark")
+    def passmark(self):
+        """passmark from course"""
+        ce = self.getCourseEntry(self.id)
+        if ce:
+            return "%s" % ce.passmark
+        return "No such course"
+    
 
 InitializeClass(CertificateCourse)
Index: /WAeUP_SRP/trunk/__init__.py
===================================================================
--- /WAeUP_SRP/trunk/__init__.py	(revision 278)
+++ /WAeUP_SRP/trunk/__init__.py	(revision 279)
@@ -19,5 +19,4 @@
 from Products.WAeUP_SRP.Accommodation import AccoFolder, addAccoFolder
 from Products.WAeUP_SRP.Accommodation import Accommodation, addAccommodation
-#from Products.WAeUP_SRP.Academics import SCFolder, addSCFolder
 from Products.WAeUP_SRP.Academics import Certificate, addCertificate
 from Products.WAeUP_SRP.Academics import CertificateCourse, addCertificateCourse
Index: /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 278)
+++ /WAeUP_SRP/trunk/profiles/default/types/AcademicsFolder.xml	(revision 279)
@@ -6,6 +6,6 @@
  <property name="content_icon"></property>
  <property name="content_meta_type">AcademicsFolder</property>
- <property name="product">CPSDefault</property>
- <property name="factory">addFolder</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addAcademicsFolder</property>
  <property name="immediate_view">folder_view</property>
  <property name="global_allow">True</property>
@@ -44,22 +44,14 @@
     condition_expr="python:True or member and 'UniversityManager'in member.getRoles()"
     url_expr="string:${object/absolute_url}/create_common?type_name=Faculty"
-    visible="True">
-  <permission value="University Manage"/>
- </action>
+    visible="True"/>
  <action title="action_folder_contents" action_id="contents" category="object"
     condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
-    visible="True">
-  <permission value="University Manage"/>
- </action>
+    visible="True"/>
  <action title="delegate" action_id="localroles" category="object"
     condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
-    visible="False">
-  <permission value="University Manage"/>
- </action>
+    visible="False"/>
  <action title="IMPORT: Faculties" action_id="import_faculties"
     category="object" condition_expr=""
-    url_expr="string:${object_url}/loadFacultiesFromCSV" visible="True">
-  <permission value="Modify portal content"/>
- </action>
+    url_expr="string:${object_url}/loadFacultiesFromCSV" visible="True"/>
  <action title="Departments" action_id="import_departments" category="object"
     condition_expr="" url_expr="string:${object_url}/loadDepartmentsFromCSV"
Index: /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 278)
+++ /WAeUP_SRP/trunk/profiles/default/types/StudyLevel.xml	(revision 279)
@@ -31,6 +31,6 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="temporary_view_all"/>
- <alias from="view" to="temporary_view_all"/>
+ <alias from="(Default)" to="level_view"/>
+ <alias from="view" to="level_view"/>
  <action title="Standard View" action_id="view" category="object"
     condition_expr="" url_expr="string:${object_url}/level_view"
Index: /WAeUP_SRP/trunk/skins/waeup_faculty/level_view_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_faculty/level_view_form.pt	(revision 278)
+++ /WAeUP_SRP/trunk/skins/waeup_faculty/level_view_form.pt	(revision 279)
@@ -31,6 +31,7 @@
             <td tal:content="course/id">
             </td>
-            <td tal:content="course/Title">
-            </td>
+            <td tal:content="course/Title"></td>
+            <td tal:content="course/credits"></td>
+            <td tal:content="course/passmark"></td>
           </tr>
             <tr> <td></td></tr>