Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/1549534420.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/1549534420.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/1549534420.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/157374276.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/157374276.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/157374276.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/1781765702.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/1781765702.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/1781765702.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/512731395.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/512731395.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/512731395.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/56499826.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/56499826.xml	(revision 291)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/56499826.xml	(revision 291)
@@ -0,0 +1,11 @@
+<?xml version="1.0"?>
+<object name="56499826" meta_type="Area Color">
+ <property name="title">UnibenColor</property>
+ <property name="default">False</property>
+ <property name="Area_border_color">#8900CD</property>
+ <property name="Area_bg_color">#D6ACE8</property>
+ <property name="Area_bg_image"></property>
+ <property name="Area_bg_position"></property>
+ <property name="Area_bg_repeat"></property>
+ <property name="Area_font_color">#000000</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/818921779.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/818921779.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/818921779.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/904475204.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/904475204.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/904475204.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/944989182.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/944989182.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/944989182.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_fontcolorgray.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_fontcolorgray.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_fontcolorgray.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_footergradient.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_footergradient.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_footergradient.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_graye7.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_graye7.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_graye7.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_background.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_background.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_background.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_side_left.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_side_left.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_side_left.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_side_right.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_side_right.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_header_side_right.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_left_border.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_left_border.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_left_border.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_little_corner.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_little_corner.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_little_corner.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_side_left.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_side_left.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_side_left.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_side_right.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_side_right.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_side_right.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_top.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_top.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_top.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_top_corner.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_top_corner.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_main_top_corner.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_navboxstyle.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_navboxstyle.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_navboxstyle.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_titlebackground.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_titlebackground.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/area_color_titlebackground.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/box_corners_half_rounded.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/box_corners_half_rounded.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/box_corners_half_rounded.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/box_corners_rounded.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/box_corners_rounded.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/box_corners_rounded.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_defaultfontcolors.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_defaultfontcolors.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_defaultfontcolors.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_defaultnovisitedlinks.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_defaultnovisitedlinks.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_defaultnovisitedlinks.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_mini.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_mini.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_mini.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_titleindex.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_titleindex.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_color_titleindex.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_actions.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_actions.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_average.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_average.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_average.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_mini.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_mini.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_mini.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_titleindex.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_titleindex.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/font_shape_titleindex.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_extraleftboxes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_extraleftboxes.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_extraleftboxes.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_navbox.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_navbox.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_navbox.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_objectactions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_objectactions.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_objectactions.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_titleindex.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_titleindex.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_color_titleindex.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_extraleftboxes.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_extraleftboxes.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_extraleftboxes.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_latestbox.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_latestbox.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_latestbox.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_navbox.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_navbox.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_navbox.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_objectactions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_objectactions.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_box_shape_objectactions.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_tab_style_tabstyle.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_tab_style_tabstyle.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_tab_style_tabstyle.xml	(revision 291)
Index: WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_tab_style_useractions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_tab_style_useractions.xml	(revision 287)
+++ WAeUP_SRP/trunk/profiles/default/themes/experimental/styles/portal_tab_style_useractions.xml	(revision 291)